#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,q;
    scanf("%d",&n);
    int a[n];
    int brU;
    for(brU=0; brU<n ; brU++)
    {
        scanf("%d",&a[brU]);
    }
    scanf("%d",&q);
    int li[q];
    int ri[q];

    for(brU=0; brU<q; brU++)
    {
        scanf("%d %d",&li[brU],&ri[brU]);
    }


    int k,l;
    int canSort;
    for(k=0;k<q;k++)
    {
        canSort=0;
        for(l=li[k]-1;l<ri[k]-1;l++)
        {
            if(a[l]>a[l+1])
            {
                canSort++;
            }
        }
        if(canSort<=1)
        {
            printf("\nDA");
        }
        else
        {
            printf("\nNE");
        }
    }

    return 0;
}